package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_prices;
import com.realnet.vpspack.Services.Visa_pricesService ;
















@RequestMapping(value = "/Visa_prices")
 @CrossOrigin("*") 
@RestController
public class Visa_pricesController {
	@Autowired
	private Visa_pricesService Service;

@Value("${projectPath}")
	private String projectPath;
 
















	@PostMapping("/Visa_prices")
		  public Visa_prices Savedata(@RequestBody Visa_prices data) {
		Visa_prices save = Service.Savedata(data)	;















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_prices/{id}")
	public  Visa_prices update(@RequestBody Visa_prices data,@PathVariable Integer id ) {
		Visa_prices update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_prices/getall/page")
	public Page<Visa_prices> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_prices> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_prices")
	public List<Visa_prices> getdetails() {
		 List<Visa_prices> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_prices")
	public List<Visa_prices> getallwioutsec() {
		 List<Visa_prices> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_prices/{id}")
	public  Visa_prices  getdetailsbyId(@PathVariable Integer id ) {
		Visa_prices  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_prices/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















}